[pitivi] bin: Avoid aliasing error messages
- From: Alexandru Băluț <alexbalut src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [pitivi] bin: Avoid aliasing error messages
- Date: Thu, 21 Apr 2016 05:08:47 +0000 (UTC)
commit f5fff1d09e8b0e595c239edd66d74f2939c7a463
Author: Alexandru Băluț <alexandru balut gmail com>
Date: Fri Apr 15 01:14:18 2016 +0200
bin: Avoid aliasing error messages
Differential Revision: https://phabricator.freedesktop.org/D940
bin/pitivi-xdg-app-env | 22 ++++++++++++----------
1 files changed, 12 insertions(+), 10 deletions(-)
---
diff --git a/bin/pitivi-xdg-app-env b/bin/pitivi-xdg-app-env
index b03d83f..47cb9c9 100755
--- a/bin/pitivi-xdg-app-env
+++ b/bin/pitivi-xdg-app-env
@@ -29,13 +29,15 @@ alias ptivi-xdg-app="$XDGAPP_ENVPATH/pitivi/bin/pitivi-xdg-app -b"
echo "-> Setting up environment if needed:"
ptvenv "echo '===> Environment ready'"
-
-for i in `ptvenv ls /app/bin/`;
-do
- alias $i="$XDGAPP_ENVPATH/pitivi/bin/pitivi-xdg-app -b $i"
-done
-
-alias pitivi="cd $XDGAPP_ENVPATH/pitivi && $XDGAPP_ENVPATH/pitivi/bin/pitivi-xdg-app -b bin/pitivi && cd - >
/dev/null"
-
-export PS1="(ptv-xdgapp) $PS1"
-export PATH="$XDGAPP_ENVPATH/bin/:$PATH"
+if [ "$?" = "0" ];
+then
+ for i in `ptvenv ls /app/bin/`;
+ do
+ alias $i="$XDGAPP_ENVPATH/pitivi/bin/pitivi-xdg-app -b $i"
+ done
+
+ alias pitivi="cd $XDGAPP_ENVPATH/pitivi && $XDGAPP_ENVPATH/pitivi/bin/pitivi-xdg-app -b bin/pitivi && cd
- > /dev/null"
+
+ export PS1="(ptv-xdgapp) $PS1"
+ export PATH="$XDGAPP_ENVPATH/bin/:$PATH"
+fi
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]